Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Enumerations | Functions
docqual.h File Reference
`#include "control.h"`
`#include "notdll.h"`

Go to the source code of this file.

## Enumerations

enum | GARBAGE_LEVEL { G_NEVER_CRUNCH, G_OK, G_DODGY, G_TERRIBLE }

## Functions

inT16 | word_blob_quality (WERD_RES *word, ROW *row)
void | reject_whole_page (PAGE_RES_IT &page_res_it)

## Enumeration Type Documentation

enum GARBAGE_LEVEL

Enumerator:

  G_NEVER_CRUNCH |
  G_OK |
  G_DODGY |
  G_TERRIBLE |

Definition at line 26 of file docqual.h.

{
G_NEVER_CRUNCH,
G_OK,
G_DODGY,
G_TERRIBLE
};

## Function Documentation

void reject_whole_page | ( | PAGE_RES_IT & | page_res_it | ) |

Definition at line 413 of file docqual.cpp.

{
page_res_it.restart_page ();
while (page_res_it.word () != NULL) {
page_res_it.word ()->reject_map.rej_word_doc_rej ();
page_res_it.forward ();
}
//whole page is rejected
page_res_it.page_res->rejected = TRUE;
}

inT16 word_blob_quality | ( | WERD_RES * | word,
|  | ROW * | row
| ) |  |